Name:          protobuf
Version:       3.1.0
Release:       1mamba
Summary:       A way of encoding structured data in an efficient yet extensible format
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Ercole 'ercolinux' Carpanetto <ercole69@gmail.com>
URL:           http://code.google.com/p/protobuf/
Source:        https://github.com/google/protobuf.git/v%{version}/protobuf-%{version}.tar.bz2
#Source:        http://protobuf.googlecode.com/files/protobuf-%{version}.tar.bz2
License:       BSD
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Protocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
Protocol Buffers are a way of encoding structured data in an efficient yet extensible format. Google uses Protocol Buffers for almost all of its internal RPC protocols and file formats.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      protobuf-devel
Obsoletes:     protobuf-devel

%description -n lib%{name}-devel
This package contains static libraries and header files need for development of Protocol Buffer

%prep
%setup -q

%build
./autogen.sh
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/protoc

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libprotobuf*.so.*
%{_libdir}/libprotoc.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/google/protobuf
%{_includedir}/google/protobuf/*
%{_libdir}/libprotobuf*.a
%{_libdir}/libprotobuf*.la
%{_libdir}/libprotobuf*.so
%{_libdir}/libprotoc.a
%{_libdir}/libprotoc.la
%{_libdir}/libprotoc.so
%{_libdir}/pkgconfig/protobuf*.pc

%changelog
* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- update to 3.1.0

* Wed Dec 30 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.5.0-2mamba
- rebuilt with gcc 5.3.0

* Mon Apr 01 2013 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Jul 11 2012 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-2mamba
- specfile fixes

* Fri Jan 29 2010 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.3.0-1mamba
- package created by autospec
